# Drung_Tshab

## Problem statement	 

Disease prediction applications can play an important role in promoting early detection, prevention, and management of diseases. 
 1.  individuals are unaware of their risk for various diseases and are unable to recognize early warning signs. 
 2. Deley seeking medical attention until their conditions worsen, leading to severe illness and complications. 
 3. Increase healthcare costs for both individuals and the healthcare system, as late-stage diagnoses require more intensive treatments. 
 4. individuals residing in remote areas face challenges in accessing healthcare facilities, exacerbating the issue.

## Background Information

To start a good life, healthcare is crucial. But consulting a doctor only in case of a health problem is highly challenging. The proposed idea is to create a disease prediction system and chatbot system called Dr-Bot utilizing machine learning which will diagnose the disease and supply basic details about the disease and treatment recommendation before consulting a doctor.

A Dr-Bot will identify the type of disease you have based on your symptoms and provide results with description and treatment. Users can access Dr-Bot in telegram and the user has privilege download prediction in .pdf format. Drung-Tshab website also helps users to predict major diseases such as heart disease, diabetes, brain tumor and breast cancer and furthermore classify these diseases. 

In this project, the virtual Dr-Bot was built using Dialog-Flow, a popular conversational AI platform, and integrated into a web application using Flask webhooks. For this model, a random forest classifier is used. This project consists of five models. Support vector machines algorithm is used for the breast cancer model and diabetes model.  For heart disease, a logistic regression algorithm is used and for the brain tumor, CNN is used.  

## Aims of the Project

To develop a disease prediction system and chatbot to empower individuals by providing them with tools to assess their disease risk and recognize early warning signs using web based machine learning. 

## Objectives of the Project

The objectives of the Drung-Tshab project are as follows:
Develop a user-friendly and accessible disease prediction application.
Facilitate early detection, prevention, and timely medical attention for better health outcomes.
To save time 
Reduce healthcare costs by promoting early intervention and management of diseases.
Improve accessibility to healthcare services, particularly for individuals in remote or underserved areas.


## System Architecture

Two-tier architecture, also known as client-server architecture, is a software architecture 		model that divides an application into two main layers:
Presentation Layer: The presentation layer is the topmost layer of the 2-tier architecture, responsible for handling user interactions and displaying information to users. In our context, the presentation layer includes a user interface (UI) that allows users to enter symptoms and other relevant information and display prediction results and recommended treatment to the users. The Flask project also integrates with the Dialog-flow chatbot, allowing for natural language interactions and disease prediction.
Application Layer: The application layer is the middle layer of the architecture, responsible for processing user requests and performing business logic. In our context of disease prediction, the application layer includes algorithms for analyzing user-entered symptoms and other relevant data, comparing them to existing medical knowledge, and providing a prediction or diagnosis.


## Link to site

https://drungtshab.onrender.com/


## Functional Requirement:

1. Chatbot (Dr-Bot): This function allows users to interact with the system through chat conversation instead of form submission.
2. Dr-Voice : This function allows users to interact with the Dr-bot through voice conversation.
3. Prediction: System will analyze the data and make predictions.
4. Produce Display result : System will display disease according to user input(symptoms) as result.
5. Treatment Recommendations: The system should be able to recommend appropriate treatments based on a patient's diagnosis.
6. Download result: Users have the privilege to save their download.


























cd existing_repo
git remote add origin https://gitlab.com/12200087.gcit/drung_tshab.git
git branch -M main
git push -uf origin main
```

## Integrate with your tools

- [ ] [Set up project integrations](https://gitlab.com/12200087.gcit/drung_tshab/-/settings/integrations)

## Collaborate with your team

- [ ] [Invite team members and collaborators](https://docs.gitlab.com/ee/user/project/members/)
- [ ] [Create a new merge request](https://docs.gitlab.com/ee/user/project/merge_requests/creating_merge_requests.html)
- [ ] [Automatically close issues from merge requests](https://docs.gitlab.com/ee/user/project/issues/managing_issues.html#closing-issues-automatically)
- [ ] [Enable merge request approvals](https://docs.gitlab.com/ee/user/project/merge_requests/approvals/)
- [ ] [Automatically merge when pipeline succeeds](https://docs.gitlab.com/ee/user/project/merge_requests/merge_when_pipeline_succeeds.html)

## Test and Deploy

Use the built-in continuous integration in GitLab.

- [ ] [Get started with GitLab CI/CD](https://docs.gitlab.com/ee/ci/quick_start/index.html)
- [ ] [Analyze your code for known vulnerabilities with Static Application Security Testing(SAST)](https://docs.gitlab.com/ee/user/application_security/sast/)
- [ ] [Deploy to Kubernetes, Amazon EC2, or Amazon ECS using Auto Deploy](https://docs.gitlab.com/ee/topics/autodevops/requirements.html)
- [ ] [Use pull-based deployments for improved Kubernetes management](https://docs.gitlab.com/ee/user/clusters/agent/)
- [ ] [Set up protected environments](https://docs.gitlab.com/ee/ci/environments/protected_environments.html)

***

# Editing this README

When you're ready to make this README your own, just edit this file and use the handy template below (or feel free to structure it however you want - this is just a starting point!). Thank you to [makeareadme.com](https://www.makeareadme.com/) for this template.

## Suggestions for a good README
Every project is different, so consider which of these sections apply to yours. The sections used in the template are suggestions for most open source projects. Also keep in mind that while a README can be too long and detailed, too long is better than too short. If you think your README is too long, consider utilizing another form of documentation rather than cutting out information.

## Name
Choose a self-explaining name for your project.

## Description
Let people know what your project can do specifically. Provide context and add a link to any reference visitors might be unfamiliar with. A list of Features or a Background subsection can also be added here. If there are alternatives to your project, this is a good place to list differentiating factors.

## Badges
On some READMEs, you may see small images that convey metadata, such as whether or not all the tests are passing for the project. You can use Shields to add some to your README. Many services also have instructions for adding a badge.

## Visuals
Depending on what you are making, it can be a good idea to include screenshots or even a video (you'll frequently see GIFs rather than actual videos). Tools like ttygif can help, but check out Asciinema for a more sophisticated method.

## Installation
Within a particular ecosystem, there may be a common way of installing things, such as using Yarn, NuGet, or Homebrew. However, consider the possibility that whoever is reading your README is a novice and would like more guidance. Listing specific steps helps remove ambiguity and gets people to using your project as quickly as possible. If it only runs in a specific context like a particular programming language version or operating system or has dependencies that have to be installed manually, also add a Requirements subsection.

## Usage
Use examples liberally, and show the expected output if you can. It's helpful to have inline the smallest example of usage that you can demonstrate, while providing links to more sophisticated examples if they are too long to reasonably include in the README.

## Support
Tell people where they can go to for help. It can be any combination of an issue tracker, a chat room, an email address, etc.

## Roadmap
If you have ideas for releases in the future, it is a good idea to list them in the README.

## Contributing
State if you are open to contributions and what your requirements are for accepting them.

For people who want to make changes to your project, it's helpful to have some documentation on how to get started. Perhaps there is a script that they should run or some environment variables that they need to set. Make these steps explicit. These instructions could also be useful to your future self.

You can also document commands to lint the code or run tests. These steps help to ensure high code quality and reduce the likelihood that the changes inadvertently break something. Having instructions for running tests is especially helpful if it requires external setup, such as starting a Selenium server for testing in a browser.

## Authors and acknowledgment
Show your appreciation to those who have contributed to the project.

## License
For open source projects, say how it is licensed.

## Project status
If you have run out of energy or time for your project, put a note at the top of the README saying that development has slowed down or stopped completely. Someone may choose to fork your project or volunteer to step in as a maintainer or owner, allowing your project to keep going. You can also make an explicit request for maintainers.
